<?php

namespace Active\Lib;

use Dever;

class Core
{
    protected $uid = -1;
    protected $use = array();
    protected $check = true;
    public $data = array();

    public function __construct()
    {
        $this->uid = Dever::load('passport/user')->check(false);
        if ($this->uid <= 0) {
            //$this->uid = 1;
        }
        if ($this->check) {
            $this->checkLogin();
        }
        
        if ($this->uid) {
            $this->user = Dever::db('active/user')->find($this->uid);
            // $this->user['uid'] = $this->user['id'];
        }
        if ($this->check) {
            if ($this->user) {
                $this->user['uid'] = $this->user['id'];
            } 
        }
    }

    public function checkLogin()
    {
        if (!$this->uid || $this->uid <= 0) {
            Dever::alert('请先登录', -2);
        }
    }
}